Bug 974110 - ssh key injection fails for instances booted from remote volumes
ssh key injection fails for instances booted from remote volumes
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
3.0
Unspecified Unspecified
medium Severity medium
: ---
: 6.0 (Juno)
Assigned To: Pádraig Brady
Ami Jeain
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 08:45 EDT by Giulio Fidente
Modified: 2016-01-04 09:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-03 07:40:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1190583 None None None Never

  None (edit)
Description Giulio Fidente 2013-06-13 08:45:18 EDT
Description of problem:
ssh key injection expects the instance's disk image to be available locally and fails if the instance is booted from a remote cinder volume

compute.log reports something like the following:

> WARNING nova.virt.disk.api [req-bd4be1ec-1d62-4da3-a194-b82003553709 8165f2c0a4d945a3ad61cdfc82bc71e8 6a89483177bd4301bba60d6ebd095e52] Ignoring error injecting data into image (Error mounting /var/lib/nova/instances/c8964c15-47b6-459e-8731-bd06d05be1f1/disk with libguestfs (/var/lib/nova/instances/c8964c15-47b6-459e-8731-bd06d05be1f1/disk: No such file or directory))


Version-Release number of selected component (if applicable):
openstack-nova-compute-2013.1.2-2.el6ost.noarch


Steps to Reproduce:
1. define some keypair
2. create a bootable volume (eg. from an image)
3. launch an instance from the bootable volume and select the keypair at step 1
Comment 2 Pádraig Brady 2013-09-24 11:54:02 EDT
I bumped this out to RHOS 5.

Also I bumped down the priority as it's a bit of an edge case,
given injection is optional/deprecated going forward
and also boot from volume isn't the default case either.

There was some discussion upstream about whether this was
even desirable to do at all, but it probably is for
consistency at least.

http://lists.openstack.org/pipermail/openstack-dev/2013-September/015418.html
Comment 3 Pádraig Brady 2015-02-03 07:40:39 EST
Upstream direction is to avoid injection and use config drive/cloud init instead

Note You need to log in before you can comment on or make changes to this bug.